All of lore.kernel.org
 help / color / mirror / Atom feed
From: Josef Bacik <jbacik@fusionio.com>
To: <linux-btrfs@vger.kernel.org>, <xfs@oss.sgi.com>
Subject: [PATCH 7/8] xfstests: btrfs/017: add a regression test for snapshot creation
Date: Fri, 18 Oct 2013 14:26:29 -0400	[thread overview]
Message-ID: <1382120790-31060-7-git-send-email-jbacik@fusionio.com> (raw)
In-Reply-To: <1382120790-31060-1-git-send-email-jbacik@fusionio.com>

We had a regression where you couldn't snapshot a file system if you mounted it
ro and then remounted it rw.  This is a test that does just that to make sure we
don't have this problem again.  I ran the test without the fix and it blew up,
and then applied the fix and verified that it passed.  Thanks,

Reviewed-by: Stefan Behrens <sbehrens@giantdisaster.de>
Signed-off-by: Josef Bacik <jbacik@fusionio.com>
---
 tests/btrfs/017     | 61 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/btrfs/017.out |  2 ++
 tests/btrfs/group   |  1 +
 3 files changed, 64 insertions(+)
 create mode 100644 tests/btrfs/017
 create mode 100644 tests/btrfs/017.out

diff --git a/tests/btrfs/017 b/tests/btrfs/017
new file mode 100644
index 0000000..d45f32a
--- /dev/null
+++ b/tests/btrfs/017
@@ -0,0 +1,61 @@
+#! /bin/bash
+# FS QA Test No. btrfs/017
+#
+# Regression test to make sure we can create a snapshot after mounting with
+# readonly and remounting rw.
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2013 Fusion IO.  All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+#
+#-----------------------------------------------------------------------
+#
+
+seq=`basename $0`
+seqres=$RESULT_DIR/$seq
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+
+status=1	# failure is the default!
+
+_cleanup()
+{
+	rm -f $tmp.*
+}
+
+trap "_cleanup ; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common/rc
+. ./common/filter
+
+# real QA test starts here
+_supported_fs btrfs
+_supported_os Linux
+_require_scratch
+
+rm -f $seqres.full
+
+_scratch_mkfs > /dev/null 2>&1
+_scratch_mount -o ro
+_scratch_mount -o rw,remount
+
+$BTRFS_UTIL_PROG sub snap $SCRATCH_MNT $SCRATCH_MNT/snap >> $seqres.full 2>&1 \
+	|| _fail "couldn't create snapshot"
+
+echo "Silence is golden"
+status=0 ; exit
diff --git a/tests/btrfs/017.out b/tests/btrfs/017.out
new file mode 100644
index 0000000..8222844
--- /dev/null
+++ b/tests/btrfs/017.out
@@ -0,0 +1,2 @@
+QA output created by 017
+Silence is golden
diff --git a/tests/btrfs/group b/tests/btrfs/group
index 082fd67..be9476d 100644
--- a/tests/btrfs/group
+++ b/tests/btrfs/group
@@ -19,3 +19,4 @@
 014 auto
 015 auto quick
 016 auto quick
+017 auto quick
-- 
1.8.3.1


WARNING: multiple messages have this Message-ID (diff)
From: Josef Bacik <jbacik@fusionio.com>
To: linux-btrfs@vger.kernel.org, xfs@oss.sgi.com
Subject: [PATCH 7/8] xfstests: btrfs/017: add a regression test for snapshot creation
Date: Fri, 18 Oct 2013 14:26:29 -0400	[thread overview]
Message-ID: <1382120790-31060-7-git-send-email-jbacik@fusionio.com> (raw)
In-Reply-To: <1382120790-31060-1-git-send-email-jbacik@fusionio.com>

We had a regression where you couldn't snapshot a file system if you mounted it
ro and then remounted it rw.  This is a test that does just that to make sure we
don't have this problem again.  I ran the test without the fix and it blew up,
and then applied the fix and verified that it passed.  Thanks,

Reviewed-by: Stefan Behrens <sbehrens@giantdisaster.de>
Signed-off-by: Josef Bacik <jbacik@fusionio.com>
---
 tests/btrfs/017     | 61 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/btrfs/017.out |  2 ++
 tests/btrfs/group   |  1 +
 3 files changed, 64 insertions(+)
 create mode 100644 tests/btrfs/017
 create mode 100644 tests/btrfs/017.out

diff --git a/tests/btrfs/017 b/tests/btrfs/017
new file mode 100644
index 0000000..d45f32a
--- /dev/null
+++ b/tests/btrfs/017
@@ -0,0 +1,61 @@
+#! /bin/bash
+# FS QA Test No. btrfs/017
+#
+# Regression test to make sure we can create a snapshot after mounting with
+# readonly and remounting rw.
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2013 Fusion IO.  All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+#
+#-----------------------------------------------------------------------
+#
+
+seq=`basename $0`
+seqres=$RESULT_DIR/$seq
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+
+status=1	# failure is the default!
+
+_cleanup()
+{
+	rm -f $tmp.*
+}
+
+trap "_cleanup ; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common/rc
+. ./common/filter
+
+# real QA test starts here
+_supported_fs btrfs
+_supported_os Linux
+_require_scratch
+
+rm -f $seqres.full
+
+_scratch_mkfs > /dev/null 2>&1
+_scratch_mount -o ro
+_scratch_mount -o rw,remount
+
+$BTRFS_UTIL_PROG sub snap $SCRATCH_MNT $SCRATCH_MNT/snap >> $seqres.full 2>&1 \
+	|| _fail "couldn't create snapshot"
+
+echo "Silence is golden"
+status=0 ; exit
diff --git a/tests/btrfs/017.out b/tests/btrfs/017.out
new file mode 100644
index 0000000..8222844
--- /dev/null
+++ b/tests/btrfs/017.out
@@ -0,0 +1,2 @@
+QA output created by 017
+Silence is golden
diff --git a/tests/btrfs/group b/tests/btrfs/group
index 082fd67..be9476d 100644
--- a/tests/btrfs/group
+++ b/tests/btrfs/group
@@ -19,3 +19,4 @@
 014 auto
 015 auto quick
 016 auto quick
+017 auto quick
-- 
1.8.3.1

_______________________________________________
xfs mailing list
xfs@oss.sgi.com
http://oss.sgi.com/mailman/listinfo/xfs

  parent reply	other threads:[~2013-10-18 18:26 UTC|newest]

Thread overview: 46+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-10-18 18:26 [PATCH 1/8] xfstests: fix btrfs/002 to not use the scratch dev pool Josef Bacik
2013-10-18 18:26 ` Josef Bacik
2013-10-18 18:26 ` [PATCH 2/8] xfstests: add regression test for kernel bz 60673 Josef Bacik
2013-10-18 18:26   ` Josef Bacik
2013-10-21 15:03   ` Eric Sandeen
2013-10-21 15:03     ` Eric Sandeen
2013-10-21 15:09     ` Josef Bacik
2013-10-21 15:09       ` Josef Bacik
2013-10-21 15:14       ` Eric Sandeen
2013-10-21 15:14         ` Eric Sandeen
2013-10-21 15:21         ` Eric Sandeen
2013-10-21 15:21           ` Eric Sandeen
2013-10-18 18:26 ` [PATCH 3/8] xfstests: stat the dev we're removing to make sure its' really gone V2 Josef Bacik
2013-10-18 18:26   ` Josef Bacik
2013-10-21 15:07   ` Eric Sandeen
2013-10-21 15:07     ` Eric Sandeen
2013-10-21 15:10     ` Josef Bacik
2013-10-21 15:10       ` Josef Bacik
2013-10-18 18:26 ` [PATCH 4/8] xfstests: btrfs/016: a hole punching send test Josef Bacik
2013-10-18 18:26   ` Josef Bacik
2013-10-21 15:22   ` Eric Sandeen
2013-10-21 15:22     ` Eric Sandeen
2013-10-22 21:02   ` Rich Johnston
2013-10-22 21:02     ` Rich Johnston
2013-10-18 18:26 ` [PATCH 5/8] xfstests: generic/274 increase scratch fs size to 2g Josef Bacik
2013-10-18 18:26   ` Josef Bacik
2013-10-21 15:29   ` Eric Sandeen
2013-10-21 15:29     ` Eric Sandeen
2013-10-22 20:25   ` Rich Johnston
2013-10-22 20:25     ` Rich Johnston
2013-10-18 18:26 ` [PATCH 6/8] xfstests: generic/311: add a few more test cases Josef Bacik
2013-10-18 18:26   ` Josef Bacik
2013-10-21 15:37   ` Eric Sandeen
2013-10-21 15:37     ` Eric Sandeen
2013-10-18 18:26 ` Josef Bacik [this message]
2013-10-18 18:26   ` [PATCH 7/8] xfstests: btrfs/017: add a regression test for snapshot creation Josef Bacik
2013-10-22 21:06   ` Rich Johnston
2013-10-22 21:06     ` Rich Johnston
2013-10-18 18:26 ` [PATCH 8/8] xfstests: btrfs/018: a regression test for subvolume rename Josef Bacik
2013-10-18 18:26   ` Josef Bacik
2013-10-21 15:38   ` Eric Sandeen
2013-10-21 15:38     ` Eric Sandeen
2013-10-22 21:09   ` Rich Johnston
2013-10-22 21:09     ` Rich Johnston
2013-10-22 20:57 ` [PATCH 1/8] xfstests: fix btrfs/002 to not use the scratch dev pool Rich Johnston
2013-10-22 20:57   ` Rich Johnston

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1382120790-31060-7-git-send-email-jbacik@fusionio.com \
    --to=jbacik@fusionio.com \
    --cc=linux-btrfs@vger.kernel.org \
    --cc=xfs@oss.sgi.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.